<table mat-table [dataSource]="dataSource" class="mat-elevation-z8">

    <!-- Horodatage Column -->
    <ng-container matColumnDef="horodatage">
      <th mat-header-cell *matHeaderCellDef> Horodatage </th>
      <td mat-cell *matCellDef="let element"> {{element.horodatage}} </td>
    </ng-container>
  
    <!-- Type Column -->
    <ng-container matColumnDef="type">
      <th mat-header-cell *matHeaderCellDef> Type </th>
      <td mat-cell *matCellDef="let element"> {{element.type}} </td>
    </ng-container>
  
    <!-- warehouse Column -->
    <ng-container matColumnDef="warehouse">
      <th mat-header-cell *matHeaderCellDef> De/Vers </th>
      <td mat-cell *matCellDef="let element"> {{element.warehouse}} </td>
    </ng-container>
  
    <!-- Reference Column -->
    <ng-container matColumnDef="reference">
      <th mat-header-cell *matHeaderCellDef> Reference </th>
      <td mat-cell *matCellDef="let element"> {{element.reference}} </td>
    </ng-container>

    <!-- Quantity Column -->
    <ng-container matColumnDef="quantity">
        <th mat-header-cell *matHeaderCellDef> Quantity </th>
        <td mat-cell *matCellDef="let element"> {{element.quantity}} </td>
      </ng-container>

      <!-- Weight Column -->
    <ng-container matColumnDef="weight">
        <th mat-header-cell *matHeaderCellDef> Weight </th>
        <td mat-cell *matCellDef="let element"> {{element.weight}} </td>
      </ng-container>

      <!-- OfficerType Column -->
    <ng-container matColumnDef="officerType">
        <th mat-header-cell *matHeaderCellDef> OfficerType </th>
        <td mat-cell *matCellDef="let element"> {{element.officerType}} </td>
      </ng-container>
  
    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>
